v1.0.0
OpenAPI 3.1.0

Create a manual segment

US region

Client Libraries

Create a manual segment

Create a manual segment with a name and a description. This request creates an empty segment.

Body
application/json
  • segment
    Type: object
    required
Responses
  • application/json
  • 400

    The request was malformed.

  • 429

    Your request is over the 10-per-second limit.

Request Example for post/v1/segments
curl https://api.customer.io/v1/segments \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "segment": {
    "name": "Manual Segment 1",
    "description": "My first manual segment"
  }
}'
{
  "segment": {
    "id": 7,
    "deduplicate_id": "15:1492548073",
    "name": "Manual Segment 1",
    "description": "My first manual segment",
    "state": "events",
    "progress": null,
    "type": "manual",
    "tags": null,
    "created_at": 1552341937,
    "updated_at": 1552341937
  }
}